html {
  scroll-behavior: smooth;
}

#target-section {
  scroll-margin-top: 120px;
}

#footer-section {
  scroll-margin-top: 240px;
}

/* navbar */
/* ===== NAV LINK BASE ===== */
.nav-link {
  position: relative;
  padding: 3px 2px;
  font-weight: 600;
  color: #334155;
  /* slate-700 */
  transition: color .3s ease, transform .15s ease;
}

/* ===== BUTTON PRESS FEEL ===== */
.nav-link:active {
  transform: scale(0.95);
}

/* ===== UNDERLINE ===== */
.nav-link::after {
  content: "";
  position: absolute;
  left: 0;
  bottom: -0px;
  width: 100%;
  height: 2px;
  background: #38bdf8;
  /* sky-400 */
  transform: scaleX(0);
  transform-origin: left;
  transition: transform .35s ease;
}

/* ===== HOVER EFFECT ===== */
.nav-link:hover {
  color: #38bdf8;
}

.nav-link:hover::after {
  transform: scaleX(1);
}

/* ===== ACTIVE (CLICKED PAGE) ===== */
.nav-link.active {
  color: #38bdf8 !important;
}

.nav-link.active::after {
  transform: scaleX(1);
}

.no-scrollbar::-webkit-scrollbar {
  display: none;
}

.no-scrollbar {
  scrollbar-width: none;
  -ms-overflow-style: none;
}

.card {
  display: flex;
  gap: 12px;
  padding: 10px;
  border-radius: 10px;
  transition: .25s;
}

.card:hover {
  background: linear-gradient(to right, #f0f9ff, #e0f2fe);
}

.card img {
  width: 44px;
  height: 44px;
  border-radius: 12px;
}

.title {
  font-weight: 600;
  color: #0f172a
}

.desc {
  font-size: 12px;
  color: skyblue
}

.hl {
  color: #0284c7;
  font-weight: 600
}

/* hero section */
@keyframes bottomToTopLuxury {
  from {
    transform: translateY(180px);
    opacity: 0;
  }

  to {
    transform: translateY(0);
    opacity: 1;
  }
}

.animate-bottom-luxury {
  animation: bottomToTopLuxury 1.5s cubic-bezier(0.16, 1, 0.3, 1);
  animation-fill-mode: both;
}


@keyframes heartbeat {
  0% {
    transform: scale(1);
    opacity: 0.8;
  }

  40% {
    transform: scale(1.3);
    opacity: 0.4;
  }

  70% {
    transform: scale(1.6);
    opacity: 0.2;
  }

  100% {
    transform: scale(1.9);
    opacity: 0;
  }
}

/* //____________// */
.team-card {
  flex: 0 0 360px;
  border-radius: 14px;
}

#teamTrack {
  transition: transform 0.6s ease;
  align-items: center;
}

.img-wrap {
  position: relative;
  border-radius: 10px;
  width: calc(100% - 5px);
  margin: 0 auto;
  overflow: hidden;
}

.img-wrap img {
  width: 100%;
  height: 360px;
  object-fit: cover;
  transition: filter 0.4s ease;
}

.img-wrap:hover img {
  filter: blur(3px);
}

.social {
  position: absolute;
  bottom: -60px;
  left: 0;
  right: 0;
  display: flex;
  justify-content: center;
  gap: 14px;
  transition: all 0.4s ease;
  font-family: FontAwesome;
}

.img-wrap:hover .social {
  bottom: 50px;
}

.social span {
  width: 40px;
  height: 40px;
  color: #fff;
  border-radius: 50%;
  display: flex;
  align-items: center;
  justify-content: center;
}

.info {
  background: #fff;
  border: 1px solid gray;
  position: relative;
  padding: 18px;
  text-align: center;
  margin: -35px 20px 0;
  border-radius: 10px;
}

.info h4 {
  font-weight: bold;
  font-size: 20px;
}

.info p {
  font-weight: bold;
  font-size: 22px;
  color: rgb(80, 189, 233);
}

#teamDots span {
  width: 8px;
  height: 8px;
  background: #d1d5db;
  border-radius: 999px;
  cursor: pointer;
  transition: all 0.3s ease;
}

#teamDots span.active {
  width: 18px;
  background: #38bdf8;
}

/* //____________// */
.review-avatar {
  width: 55px;
  height: 55px;
  border-radius: 9999px;
  object-fit: cover;
  cursor: pointer;
  transition: all 0.4s ease;
  filter: grayscale(1);
  opacity: 0.6;
}

.review-avatar:hover {
  transform: scale(1.1);
}

.review-avatar.active {
  transform: scale(1.25);
  filter: blur(1px);
  opacity: 1;
  box-shadow: 0 10px 25px rgba(0, 0, 0, 0.25);
}

/* Slider Proffesional */
.side {
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
  width: 240px;
  height: 420px;
  object-fit: contain;
  opacity: .8;
}

.left {
  left: 80px;
}

.right {
  right: 80px;
}

.center {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  width: 720px;
  height: 420px;
  object-fit: contain;
  z-/index: 10;
}

@media(max-width:768px) {
  .side {
    display: none;
  }

  .center {
    width: 90%;
  }
}

/* Slow infinite rotation */
.spin-slow {
  animation: spin 18s linear infinite;
  transform-origin: center;
}

/* Hover par animation pause */
.spin-slow:hover {
  animation-play-state: paused;
}

@keyframes spin {
  from {
    transform: rotate(0deg);
  }

  to {
    transform: rotate(360deg);
  }
}

@keyframes slideUp {
  from {
    transform: translate(-50%, 20px);
    opacity: 0;
  }

  to {
    transform: translate(-50%, 0);
    opacity: 1;
  }
}

.animate-slideUp {
  animation: slideUp .35s ease-out forwards;
}



.hover-ui {
  position: absolute;
  left: 50%;
  bottom: -10px;
  transform: translate(-50%, 20px);
  opacity: 0;
  pointer-events: none;
  transition: all .35s ease;
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 8px;
}

.hover-img:hover+.hover-ui {
  opacity: 1;
  transform: translate(-50%, 0);
}

.label {
  font-size: 14px;
  font-weight: 600;
  color: #0f172a;
}

.icons {
  display: flex;
  gap: 10px;
}

.icons i {
  width: 36px;
  height: 36px;
  border-radius: 50%;
  background: #0f172a;
  color: #facc15;
  display: flex;
  align-items: center;
  justify-content: center;
  font-size: 14px;
  transition: transform .25s ease, background .25s ease;
}

.icons i:hover {
  transform: translateY(-3px);
  background: #020617;
}